Bug 75794 - up2date ping-pongs between zebra and gated
Summary: up2date ping-pongs between zebra and gated
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: alpha Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
: 76627 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-12 16:11 UTC by Robert M. Riches Jr.
Modified: 2015-01-08 00:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-25 05:04:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert M. Riches Jr. 2002-10-12 16:11:09 UTC
Description of Problem:
After installing the updates that became available between Oct. 5 and
Oct.12, up2date insists on alterately installing zebra and gated instead
of reaching a 'fully updated' steady state.

Version-Release number of selected component (if applicable):
2.8.39-1.7.1

How Reproducible:
100%

Steps to Reproduce:
1. run up2date, let it install zebra
2. run up2date, let it install gated
3. run up2date, let it install zebra
4. run up2date, let it install gated
5. etc., etc., etc.

Actual Results:
up2date will continue to install one package or the other for
as long as the user has patience.

Expected Results:
up2date should reach a steady state where the system is 'fully
updated'.

Additional Information:

Comment 1 Peter Verthez 2002-10-18 09:21:34 UTC
Something similar happens for me to (platform i386, Red Hat 7.1, so the problem
is not just occurring for alpha).

Up2date insists that I should upgrade mutt and zebra, although I have none of 
these installed.  I ignored those packages and installed the rest without any 
problem.  The Web interface at rhn.redhat.com says I'm fully updated now.


Comment 2 Adrian Likins 2002-10-18 21:17:39 UTC
Currently working on a client side fix for this sort of
obsolete loop detection.

In the meantime, working on a server side fix that should
fix this case.

Comment 3 Adrian Likins 2002-10-18 21:30:00 UTC
>Up2date insists that I should upgrade mutt and zebra, although I have none of 
>these installed.  I ignored those packages and installed the rest without any 
>problem.  The Web interface at rhn.redhat.com says I'm fully updated now.

Is the "urlview" package installed (possibly from a 7.0->7.1 upgrade?). The
mutt package in 7.1 obsoletes "urlview"

Comment 4 Peter Verthez 2002-10-19 07:57:08 UTC
urlview 0.9.2 is indeed installed, but directly from the Red Hat 7.1 Binary CD1
(so not via upgrade from 7.0).  If this is indeed obsoleted by mutt, why 
doesn't the Web interface show it as something to be updated?

Comment 5 Mihai Ibanescu 2002-10-21 15:02:37 UTC
zebra <-> gated should be fixed now.

Comment 6 Peter Verthez 2002-10-21 17:27:07 UTC
I confirm, up2date doesn't propose to install zebra anymore.

Comment 7 Curtis Doty 2002-10-22 22:56:20 UTC
Why does up2date suddenly think I want to replace zebra with gated? I don't!

# rpm -qa |egrep 'gate|zeb'
zebra-0.92a-3


# up2date -l

Fetching package list for channel: redhat-linux-i386-7.3...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-7.3...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel     
----------------------------------------------------------
gated                                   3.6            14                  
kernel                                  2.4.18         17.7.x              

The following Packages are obsoleted by newer packages:

Name-Version-Release        obsoleted by      Name-Version-Release
-------------------------------------------------------------------------------
zebra-0.92a-3                           gated-3.6-14

Comment 8 Mihai Ibanescu 2002-10-24 17:28:11 UTC
This should not happen anymore. Please confirm.

Comment 9 Curtis Doty 2002-10-25 05:04:43 UTC
Confirmed. It went away today. Thank you!

Comment 10 Mihai Ibanescu 2002-10-25 14:25:08 UTC
*** Bug 76627 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.